Package org.pgpainless.key.certification

# Class CertifyCertificate.CertificationResult

java.lang.Object
org.pgpainless.key.certification.CertifyCertificate.CertificationResult

Enclosing class:
  `CertifyCertificate`

public static class CertifyCertificate.CertificationResult extends Object

## Method Summary

Modifier and Type
Method
Description
`org.bouncycastle.openpgp.PGPSignature`
`getCertification()`
Return the signature.
`org.bouncycastle.openpgp.PGPPublicKeyRing`
`getCertifiedCertificate()`
Return the certificate, which now contains the signature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getCertification

@Nonnull public org.bouncycastle.openpgp.PGPSignature getCertification()
Return the signature.

Returns:
  signature

### getCertifiedCertificate

@Nonnull public org.bouncycastle.openpgp.PGPPublicKeyRing getCertifiedCertificate()
Return the certificate, which now contains the signature.

Returns:
  certificate + signature